/* AREXX SCRIPT log.rexx

   Log.rexx cre et maintient un fichier contenant les temps de mise en 
   route et d'arrt de votre systme ainsi que les 'reset' et 'guru' 
   accompagns de renseignements, si ncessaire et dsir. Il fait tout a
   avec videmment un peu de votre aide!.

   Le format de ce fichier, appel 'Utilisations' est le suivant:

     ...
     Sa_26-Sep_09:12 - Mise en route.
     Sa_26-Sep_13:45 - Guru: coupable inconnu!
     ...
     ...
     Sa_26-Sep_15:28 - Reset: *&%(&* a encore plant!
     Su_27-Sep_00:51 - Arrt systme.
     ----------------------------------
     Su_27-Sep_08:23 - Mise en route.
     ...

   Voir fichier de documentation pour utilisation.
      
   Ecris par Grard Cornu  (26-Sep-92)
   
   Modifiez la partie de la ligne suivante pour indiquer le chemin ou vous
   dsirez que le fichier 'Utilisations' se trouve. NE PAS INCLURE LE NOM
   DU FICHIER.
  \                                                                       /
   \_______                   ___________________________________________/ 
           \  CETTE PARTIE   /
            \               /                                              */
logonpath = "DH0:temp/logon/"     /* <---- editer ici *********************
                           ^
                           | 
                  ne pas oublier / or :
                 ~~~~~~~~~~~~~~~~~~~~~~~
*/                  

arg switch

logonfile = "Utilisations"

hil = "[32m"
nor = "[0m"

option results  

day  = left(date('weekday'),2)
date = left(space(date(), 1, '-'), 6)
time = left(time(), 5)
datetime = day||'_'||date||'_'||time

if switch = 'ON' then do
   say "c" /* clear screen */
   query = getbootup()
end
else if switch = 'OFF' then do 
   query = " - Arrt systme."
end   
   
if(~exists(logonpath||logonfile)) then
   mode = 'W'
else mode = "A"

if ~open(datefile, logonpath||logonfile,mode) then do
   say ""
   say "Impossible d'ouvrir "||logonpath||logonfile|| "..!!??."
   say ""
   exit 20
end   

if mode = "W" then do
   writeln(datefile, " ***        Fichier cre par log.rexx      ***") 
   writeln(datefile, " ***  (cris par Grard Cornu (26-Sep-92)  ***")
   writeln(datefile, "")
end   

writeln(datefile, datetime||query)
if switch = 'OFF' then do
   writeln(datefile, "----------------------------------")
end   

close(datefile)

say "c"

exit 0

/*--------------------------------- E N D --------------------------------*/   

/*--------------------------- getbootup()----------------------------*/
getbootup:
           
say "c"
say ""
say "         Comme vous vous en doutez (;-),  votre  systme est en train"
say "         de (re)dmarrer! Mon seul but tant de mainteneir un fichier"
say "          propos de ce fait,  je  vous serais trs  reconnaissant de"
say "         m'aider en me donnant quelques renseignements."
say ""
say "         A quoi est d ce (re)dmarrage:"
say ""
say hil||"                         N"||nor||" - Mise en route normale"
say 
say hil||"                         R"||nor||" - Reset (ctrl-Amiga-Amiga)"
say
say hil||"                         G"||nor||" - Guru"
say
say hil||"                         C"||nor||" - Coupure de courant"
say
say hil||"                         V"||nor||" - Crainte de virus"
say
say
say

bootup = ""

do while ((bootup ~= "N") ^ (bootup ~= "C") ^ (bootup ~= "V"),
        ^ (bootup ~= "G") ^ (bootup ~= "R"))
   say ""
   writech(stdout, "[A[A         S.V.P. entrez "||hil||"n"||nor||", "||hil||"r"||nor,
   ", "||hil||"g"||nor", "||hil||"c"||nor||" or "||hil||"v"||nor||" ? [K")
   pull bootup
end

select
   when bootup = "N" then query = " - Mise en route." 
   when bootup = "C" then query = " - Coupure courant: "
   when bootup = "V" then query = " - Crainte de virus: "   
   when bootup = "G" then query = " - Guru: "
   when bootup = "R" then query = " - Reset: "
   otherwise exit(20)
end

if bootup = "C" | bootup = "V" | bootup = 'G' | bootup = 'R' then do
   query = query||getmoreinfo(query)
end
return query

/*------------------------ getmoreinfo() ------------------------------*/
getmoreinfo:

arg item

say 
say "         S'il vous plait, donnez moi quelque renseignement"
say "          propos de ce(tte) "||item
say
writech(stdout, "         (ou [entre] si aucun) ? ")

parse pull moreinfo

if moreinfo = "" then moreinfo = "???"

return moreinfo
/*------------------------------------------------------------------*/

rx log